Installing bootcamp 2.1 before installing XPSP3

Discussion in 'Windows, Linux & Others on the Mac' started by Archandy, Dec 15, 2008.

  1. Archandy macrumors newbie

    Joined:
    Sep 13, 2007
    #1
    I apologise for being stupid but Im not used to setting up windows. Been mac for life.....until now.

    My leopard disk comes with bootcamp 2.0. Ok.

    I want to install my newly purchased XP SP3 OEM CD. I've not got other version of windows on my MBP. This is the first time

    Apparently I must install the newer boot camp 2.1 version first in order for SP3 to work. Apparently it is important that boot camp 2.1 is downloaded first.

    Excuse me for being dumb, but I have downloaded 'BCUpdateXP.exe' from apple. This is an executable file. To open this and install it surely I must be in windows and I cant have windows until I have boot camp 2.1....lol....what do I do???

    Could anyone PLEASE help me?
     
  2. Markov macrumors 6502

    Markov

    Joined:
    May 18, 2007
    Location:
    Philadelphia
    #2
    XP SP3 does not need bootcamp 2.1. Before I updated to bootcamp 2.1 after a fresh install, I had 2.0 drivers installed with SP3, and everything ran fine.

    Install XP SP3, then install 2.0 drivers, then update to 2.1 and it should work just fine.
     
  3. Archandy thread starter macrumors newbie

    Joined:
    Sep 13, 2007
    #3
    thanks for the reply Markov, that makes sense. I was worried sp3 would crash and burn under 2.0.....obviously not!
     

Share This Page